Delete Saved Cards

View as Markdown

The Delete Saved Cards is an authenticated API that deletes a user’s saved credit/debit card.

Path parameters

paymentIdentifierIdstringRequired

Identifier of the saved card to delete, returned as paymentIdentifierId by the Get Saved Cards API.

Headers

x-user-ipstringRequired

End user’s originating IP. More details here

x-api-keystringRequired
Partner API Key present in Transak Dashboard.
authorizationstringOptional

Authorization token is the accessToken received from the API - api/v2/auth/verify

Note: This is not applicable for Auth Reliance Flows

x-access-tokenstringOptional

Your Partner Access Token. Please refer here for a tutorial on generating your access token.

Note: This is applicable only for Auth Reliance Flows

x-user-identifierstringOptional

The authenticated user’s email address.

Note: This is applicable only for Auth Reliance Flows

Response

200 - Success

dataobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error